/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 80011
 Source Host           : localhost:3306
 Source Schema         : car_database_localhost

 Target Server Type    : MySQL
 Target Server Version : 80011
 File Encoding         : 65001

 Date: 30/10/2024 13:54:45
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_cst_method_info
-- ----------------------------
DROP TABLE IF EXISTS `t_cst_method_info`;
CREATE TABLE `t_cst_method_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '方法id',
  `method_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '方法名称',
  `public_sentiment_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '舆情id',
  `source_test_scenario_id` bigint(20) NULL DEFAULT NULL COMMENT '源层测试场景id',
  `source_test_obj_id` bigint(20) NULL DEFAULT NULL COMMENT '源层测试对象id',
  `source_test_properties_id` bigint(20) NULL DEFAULT NULL COMMENT '源层测试对象属性id',
  `source_test_properties_value` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '源层测试对象属性值',
  `target_test_scenario_id` bigint(20) NULL DEFAULT NULL COMMENT '目标层测试场景id',
  `target_test_obj_id` bigint(20) NULL DEFAULT NULL COMMENT '目标层测试对象id',
  `target_test_properties_id` bigint(20) NULL DEFAULT NULL COMMENT '目标层测试对象属性id',
  `target_test_properties_value` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '目标层测试对象属性值',
  `test_tool_id` bigint(20) NULL DEFAULT NULL COMMENT '测试工具id',
  `test_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '测试结果',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `deleted` int(1) NULL DEFAULT NULL COMMENT '逻辑删除标志;0: 有效; 1: 无效',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '汽车安全测试方法信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_cst_method_info
-- ----------------------------
INSERT INTO `t_cst_method_info` VALUES (1, NULL, '2', 8, 22, 7, NULL, 12, 34, NULL, NULL, 6, 'NAND', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (2, NULL, '2', 11, 39, 11, NULL, NULL, NULL, NULL, NULL, 8, 'IFS、ETFS、MMC、PPS', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (3, NULL, '2', 5, 15, 6, NULL, 10, 15, NULL, NULL, 2, '2.4Ghz', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (4, NULL, '2', 14, 47, 22, NULL, NULL, NULL, NULL, NULL, 19, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (5, NULL, '2', 14, 48, 26, NULL, 16, 68, NULL, NULL, NULL, 'TCP ', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (6, NULL, '2', 16, 71, 25, NULL, NULL, NULL, NULL, NULL, NULL, 'DBUS服务 ', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (7, NULL, '2', 16, 69, 33, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (8, NULL, '2', 12, 33, 10, NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (9, NULL, '11', 17, 63, 31, NULL, NULL, NULL, NULL, NULL, 20, '格式化字符串问题', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (10, NULL, '4', 17, 57, 30, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (11, NULL, '6', 14, 48, 26, NULL, 16, 68, NULL, NULL, NULL, 'TCP', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (12, NULL, '6', 16, 72, 34, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (13, NULL, '7', 14, 47, 22, NULL, NULL, NULL, NULL, NULL, 19, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (14, NULL, '7', 14, 48, 22, NULL, 16, 68, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (15, NULL, '9', 17, 71, 31, NULL, NULL, NULL, NULL, NULL, NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (16, NULL, '12', 10, 16, 12, NULL, NULL, NULL, NULL, NULL, NULL, 'CVE-2017-9633', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (17, NULL, '13', 16, 68, 34, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (18, NULL, '14', 14, 48, 26, NULL, 16, 68, NULL, NULL, NULL, 'TCP', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (19, NULL, '14', 10, 16, 10, NULL, NULL, NULL, NULL, NULL, NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (20, NULL, '14', 10, 9, 15, NULL, 13, 52, NULL, NULL, NULL, 'Vendor：支持以太网', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (21, NULL, '14', 16, 72, 34, NULL, NULL, NULL, NULL, NULL, NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (22, NULL, '14', 10, 15, 17, NULL, 14, 48, NULL, NULL, NULL, 'Client', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (23, NULL, '14', 17, 71, 31, NULL, NULL, NULL, NULL, NULL, NULL, '任意文件读 ', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (24, NULL, '14', 14, 71, 25, NULL, NULL, NULL, NULL, NULL, NULL, 'QNET', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (25, NULL, '14', 14, 71, 25, NULL, NULL, NULL, NULL, NULL, NULL, 'QNET', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (26, NULL, '14', 16, 72, 31, NULL, NULL, NULL, NULL, NULL, NULL, '密码配置缺陷', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (27, NULL, '15', 7, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (28, NULL, '15', 17, 57, 30, NULL, NULL, NULL, NULL, NULL, NULL, 'PKES/RKE', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (29, NULL, '17', 14, 48, 26, NULL, 16, 68, NULL, NULL, NULL, 'TCP', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (30, NULL, '17', 16, 66, 34, NULL, NULL, NULL, NULL, NULL, 22, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (31, NULL, '17', 7, 3, 4, NULL, NULL, NULL, NULL, NULL, NULL, '9600/115200', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (32, NULL, '17', 16, 69, 33, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (33, NULL, '19', 17, 57, 30, NULL, NULL, NULL, NULL, NULL, NULL, 'RKE', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (34, NULL, '22', 10, 17, 33, NULL, NULL, NULL, NULL, NULL, 11, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (35, NULL, '25', 10, 15, 12, NULL, 14, 48, NULL, NULL, NULL, 'CVE-2019-13581', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (36, NULL, '25', 11, 24, 12, NULL, NULL, NULL, NULL, NULL, NULL, 'CVE-2019-13582', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (37, NULL, '28', 17, 54, 31, NULL, NULL, NULL, NULL, NULL, NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (38, NULL, '29', 12, 33, 10, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (39, NULL, '29', 10, 13, 31, NULL, 14, 46, NULL, NULL, NULL, '代码执行', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (40, NULL, '29', 16, 68, 34, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (41, NULL, '14', 14, 48, 27, NULL, 16, 68, NULL, NULL, NULL, '23、10123、15001、21002 、21200、22111、22222、23100、23101、25010、30001、32111、32111', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (42, NULL, '19', 17, 57, 31, NULL, NULL, NULL, NULL, NULL, NULL, 'RKE滚码存在缺陷', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (43, NULL, '15', 17, 57, 31, NULL, NULL, NULL, NULL, NULL, NULL, 'PKES密钥可还原', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (44, NULL, '2', 14, 48, 27, NULL, 16, 68, NULL, NULL, NULL, '6010、2011、6020、2021、3128、51500、65200、4400、6667', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (45, NULL, '2', 16, 71, 34, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (46, NULL, '2', 16, 71, 31, NULL, NULL, NULL, NULL, NULL, NULL, '命令注入', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (47, NULL, '6', 14, 48, 27, NULL, 16, 68, NULL, NULL, NULL, '23', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (48, NULL, '17', 14, 48, 27, NULL, 16, 68, NULL, NULL, NULL, '23', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (49, NULL, '31', 7, 3, 10, NULL, NULL, NULL, NULL, NULL, NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (50, NULL, '31', 16, 64, 34, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (51, NULL, '31', 15, 43, 24, NULL, NULL, NULL, NULL, NULL, 17, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (52, NULL, '31', 17, 54, 31, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (53, NULL, '35', 16, 69, 33, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (54, NULL, '36', 5, 14, 10, NULL, 10, 14, NULL, NULL, NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (55, NULL, '36', 16, 69, 33, NULL, NULL, NULL, NULL, NULL, NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_method_info` VALUES (56, NULL, '37', 17, 55, 31, NULL, NULL, NULL, NULL, NULL, NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
