/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 80011
 Source Host           : localhost:3306
 Source Schema         : car_database_localhost

 Target Server Type    : MySQL
 Target Server Version : 80011
 File Encoding         : 65001

 Date: 30/10/2024 13:55:01
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_cst_properties_info
-- ----------------------------
DROP TABLE IF EXISTS `t_cst_properties_info`;
CREATE TABLE `t_cst_properties_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '属性id',
  `properties_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '属性名称',
  `properties_theme` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '属性主题;数据字典:cst_properties_theme',
  `type_detail` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型明细',
  `type_declaration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型说明',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `deleted` int(1) NULL DEFAULT NULL COMMENT '逻辑删除标志;0: 有效; 1: 无效',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '汽车安全测试属性信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_cst_properties_info
-- ----------------------------
INSERT INTO `t_cst_properties_info` VALUES (1, 'JTAG读保护', 'JTAG', '存在/不存在', '是否存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (2, 'JTAG调试保护', 'JTAG', '存在/不存在', '是否存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (3, 'USB 硬件接口类型', 'USB', 'Type A/Type C', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (4, '速率', 'COMMON', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (5, 'RF频段', 'RF', 'UHF（433mhz）/LF（134khz）', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (6, 'Wi-Fi频段', 'WIFI', '2.4G/5G', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (7, '存储芯片类型', 'HARDWARE', 'NAND/eMMC/SPI FLASH', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (8, '硬件安全模块', 'HARDWARE', '存在/不存在', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (9, '存在PCB丝印', 'HARDWARE', '存在/不存在', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (10, '存在对象', 'COMMON', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (11, '文件系统', 'OTHER', 'FatFS/EXT4', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (12, '存在已知漏洞', 'COMMON', NULL, 'CVE-xxx-xxx', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (13, '蓝牙配对模式', 'BLUETOOTH', 'Level 1/Level 2/Level 3/Level 4', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (14, '版本', 'COMMON', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (15, 'USB PID', 'USB', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (16, 'USB VID', 'USB', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (17, 'Wi-Fi模式', 'WIFI', 'Client/AP', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (18, 'Wi-Fi加密模式', 'WIFI', 'WPA/WPA2-PSK ', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (19, 'Wi-Fi BSSID', 'WIFI', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (20, 'Wi-Fi SSID', 'WIFI', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (21, '抗DDos', 'COMMON', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (22, '存在可靠加密保护', 'COMMON', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (23, '加密保护类型', 'COMMON', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (24, '存在敏感信息', 'COMMON', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (25, '通讯类型', 'OTHER', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (26, '以太网协议类型', 'ETHERNET', NULL, 'QNET等', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (27, '以太网协议端口', 'ETHERNET', 'TCP/UDP', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (28, '以太网通讯协议', 'ETHERNET', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (29, '类型', 'OS', NULL, 'QNET等', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (30, '车辆控制鉴权机制', 'OTHER', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (31, '存在未知漏洞', 'COMMON', 'PKES/RKE/远程控制', NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (32, '存在完整性校验', 'COMMON', NULL, '任意文件读写等', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (33, '存在真实性校验', 'COMMON', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_info` VALUES (34, '存在可靠鉴权机制', 'COMMON', NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
