/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 80011
 Source Host           : localhost:3306
 Source Schema         : car_database_localhost

 Target Server Type    : MySQL
 Target Server Version : 80011
 File Encoding         : 65001

 Date: 30/10/2024 13:55:13
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_cst_properties_values
-- ----------------------------
DROP TABLE IF EXISTS `t_cst_properties_values`;
CREATE TABLE `t_cst_properties_values`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `test_scenario_id` bigint(20) NULL DEFAULT NULL COMMENT '测试场景id',
  `test_obj_id` bigint(20) NULL DEFAULT NULL COMMENT '测试对象id',
  `obj_properties_id` bigint(20) NULL DEFAULT NULL COMMENT '对象属性id',
  `obj_properties_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '对象属性值类型;数据字典:cst_properties_type',
  `obj_properties_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '对象属性单位',
  `obj_properties_value` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '对象属性值',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `deleted` int(1) NULL DEFAULT NULL COMMENT '逻辑删除标志',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '汽车安全测试属性值表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_cst_properties_values
-- ----------------------------
INSERT INTO `t_cst_properties_values` VALUES (1, 11, 39, 11, 'ENUM', NULL, 'FatFS', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (2, 11, 39, 11, 'ENUM', NULL, 'EXT4', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (3, 17, 57, 30, 'ENUM', NULL, 'PKES', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (4, 17, 57, 30, 'ENUM', NULL, 'RKE', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (5, 17, 57, 30, 'ENUM', NULL, '远程控制', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (6, 14, 48, 26, 'ENUM', NULL, 'TCP', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (7, 14, 48, 26, 'ENUM', NULL, 'UDP', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (8, 8, 22, 7, 'ENUM', NULL, 'NAND', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (9, 8, 22, 7, 'ENUM', NULL, 'eMMC', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (10, 8, 22, 7, 'ENUM', NULL, 'SPI FLASH', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (11, 8, 23, 8, 'ENUM', NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (12, 8, 23, 8, 'ENUM', NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (13, 9, 27, 9, 'ENUM', NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (14, 9, 27, 9, 'ENUM', NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (15, 10, 13, 13, 'ENUM', NULL, 'Level 1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (16, 10, 13, 13, 'ENUM', NULL, 'Level 2', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (17, 10, 13, 13, 'ENUM', NULL, 'Level 3', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (18, 10, 13, 13, 'ENUM', NULL, 'Level 4', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (19, 10, 14, 13, 'ENUM', NULL, 'Level 1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (20, 10, 14, 13, 'ENUM', NULL, 'Level 2', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (21, 10, 14, 13, 'ENUM', NULL, 'Level 3', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (22, 10, 14, 13, 'ENUM', NULL, 'Level 4', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (23, 7, 1, 1, 'ENUM', NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (24, 7, 1, 1, 'ENUM', NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (25, 7, 1, 2, 'ENUM', NULL, '存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (26, 7, 1, 2, 'ENUM', NULL, '不存在', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (27, 5, 20, 5, 'ENUM', NULL, 'UHF（433mhz）', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (28, 5, 20, 5, 'ENUM', NULL, 'LF（134khz）', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (29, 6, 9, 3, 'ENUM', NULL, 'Type A', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (30, 6, 9, 3, 'ENUM', NULL, 'Type C', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (31, 5, 15, 6, 'ENUM', NULL, '2.4G', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (32, 5, 15, 6, 'ENUM', NULL, '5G', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (33, 10, 15, 17, 'ENUM', NULL, 'Client', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (34, 10, 15, 17, 'ENUM', NULL, 'AP', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (35, 10, 15, 18, 'ENUM', NULL, 'WPA', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_properties_values` VALUES (36, 10, 15, 18, 'ENUM', NULL, 'WPA2-PSK ', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
