/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 80011
 Source Host           : localhost:3306
 Source Schema         : car_database_localhost

 Target Server Type    : MySQL
 Target Server Version : 80011
 File Encoding         : 65001

 Date: 30/10/2024 13:55:29
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_cst_scenario_info
-- ----------------------------
DROP TABLE IF EXISTS `t_cst_scenario_info`;
CREATE TABLE `t_cst_scenario_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '场景id',
  `level_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '场景名称',
  `level_num` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '场景等级;0级为根节点',
  `parent_id` bigint(10) NULL DEFAULT NULL COMMENT '父级id;记录该节点上一级节点id',
  `parent_group_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '父级组id;依次记录该节点上级全部id，英文逗号隔开',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `deleted` int(1) NULL DEFAULT NULL COMMENT '逻辑删除标志;0: 有效; 1: 无效',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '汽车安全测试场景信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_cst_scenario_info
-- ----------------------------
INSERT INTO `t_cst_scenario_info` VALUES (1, '硬件层', '0', -1, '-1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (2, '硬件抽象层', '0', -1, '-1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (3, '服务层', '0', -1, '-1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (4, '应用层', '0', -1, '-1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (5, '无线协议', '1', 1, '1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (6, '外部有线接口', '1', 1, '1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (7, '内部有线接口', '1', 1, '1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (8, '芯片', '1', 1, '1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (9, '硬件', '1', 1, '1', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (10, '协议栈', '1', 2, '2', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (11, '驱动', '1', 2, '2', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (12, '安全', '1', 2, '2', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (13, '运行时', '1', 3, '3', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (14, '通讯', '1', 3, '3', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (15, '存储', '1', 3, '3', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (16, '系统', '1', 4, '4', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_scenario_info` VALUES (17, '其他', '1', 4, '4', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
