/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 80011
 Source Host           : localhost:3306
 Source Schema         : car_database_localhost

 Target Server Type    : MySQL
 Target Server Version : 80011
 File Encoding         : 65001

 Date: 30/10/2024 13:55:38
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_cst_tool_info
-- ----------------------------
DROP TABLE IF EXISTS `t_cst_tool_info`;
CREATE TABLE `t_cst_tool_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '工具id',
  `tool_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工具名称',
  `tool_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工具类别',
  `tool_address` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工具地址',
  `reference_link` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参考链接',
  `attachment_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '附件名称',
  `attachment_file_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '附件文件类型',
  `attachment_storage_path` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '附件存储路径',
  `tool_declaration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工具说明',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `deleted` int(1) NULL DEFAULT NULL COMMENT '逻辑删除标志;0: 有效; 1: 无效',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '汽车安全测试工具信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_cst_tool_info
-- ----------------------------
INSERT INTO `t_cst_tool_info` VALUES (1, '车载以太网转接口', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (2, '频谱仪分析', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (3, '确认WiFi存在以及数量', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (4, 'Proxmark', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (5, 'USRP', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (6, 'Flash读写类工具', NULL, NULL, NULL, NULL, NULL, NULL, '1. 定位PCB上NAND芯片 \n2. 分析dump出数据为预期数据', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (7, '人工审核', NULL, NULL, NULL, NULL, NULL, NULL, '硬件加解密模块 \n安全启动', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (8, '固件分析工具', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (9, '系统命令', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (10, 'hcitool', NULL, NULL, NULL, NULL, NULL, NULL, '扫描周围设备是否存在ble设备，ble设备数量', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (11, 'HackRF One', NULL, NULL, NULL, NULL, NULL, NULL, 'GNSS欺骗', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (12, 'GPS外部时钟', NULL, NULL, NULL, NULL, NULL, NULL, 'GNSS欺骗', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (13, '700-2700MHz天线', NULL, NULL, NULL, NULL, NULL, NULL, 'GNSS欺骗', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (14, 'CAN分析设备', NULL, NULL, NULL, NULL, NULL, NULL, 'CAN总线拒绝服务共计测试', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (15, 'wireshark', NULL, NULL, NULL, NULL, NULL, NULL, '拒绝服务攻击', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (16, 'hping3', NULL, NULL, NULL, NULL, NULL, NULL, '拒绝服务攻击', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (17, 'sysAuditor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (18, '固件扫描', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (19, '密码强度检测', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (20, '异常文件crash', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (21, '恶意媒体文件测试', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);
INSERT INTO `t_cst_tool_info` VALUES (22, 'hydra', NULL, NULL, NULL, NULL, NULL, NULL, '使用Hydra和密码本对ssh服务进行密码爆破', NULL, 0, 'admin', '2024-10-11 10:03:14', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
